Error en el controller de video_player flutter

estoy intentando implementar la librería Video_player de flutter, pero a la hora de hacerlo obtengo un error en el controller, y no puedo continuar, incluso intente copiando y pegando el código ejemplo de pub.dev y error persiste, aclaro que estoy usando la ultima versión del SDK.
Adjunto foto del error… Gracias.

Error de Controller img